Bug 32115 - Add ID to check-out default help message dialog to allow customization
Summary: Add ID to check-out default help message dialog to allow customization
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Mona Panchaud
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-11-05 19:34 UTC by Mona Panchaud
Modified: 2023-01-26 10:30 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.01,22.05.09, 21.11.16


Attachments
Proposed patch to add div with id to allow hiding it and customize with SCOMainUserBlock. (3.28 KB, patch)
2022-11-05 19:47 UTC, Mona Panchaud
Details | Diff | Splinter Review
Bug 32115: Add ID to check-out default help message dialog to allow customization (3.64 KB, patch)
2022-11-19 19:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32115: Add ID to check-out default help message dialog to allow customization (3.70 KB, patch)
2022-12-08 11:01 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mona Panchaud 2022-11-05 19:34:11 UTC
We want to customize the default help message on the Self checkout page, as our library  doesn't have bar codes and therefore doesn't have scanning. We only have a number that users input when using self checkout. The help message confused our users.

This doesn't seem to be something that many libraries will have.
Therefore as an easy solution, I propose to create a patch that adds a div with an id around the default help message.
Then we can add our own help content in "SCOMainUserBlock" and hide the default message with CSS in "SCOUserCSS". 

Otherwise I could also see there being a new flag that specifies whether a library has scanning or not and changing the text based on that. That would require lots of translation effort that doesn't seem worth it to me. 

I will attach a patch to this with my proposed solution but I am also open to implementing other solutions.
Comment 1 Mona Panchaud 2022-11-05 19:47:51 UTC
Created attachment 143299 [details] [review]
Proposed patch to add div with id to allow hiding it and customize with SCOMainUserBlock.
Comment 2 Katrin Fischer 2022-11-19 19:55:39 UTC
Created attachment 144089 [details] [review]
Bug 32115: Add ID to check-out default help message dialog to allow customization

This adds a div with the id attribute selfcheckdefaulthelpmessage to
the first paragraph of the web based self check help page.

To test:
* Enable WebBasedSelfCheck
* Go to: /cgi-bin/koha/sco/sco-main.pl in the OPAC
* Log in and open help
* Verify by looking at the source code, that the first paragraph
  starting with "If this is your first time..." now has an id.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2022-11-19 19:56:17 UTC
Hi Mona, I believe this has been your first patch for Koha? Welcome! :)
Comment 4 Mona Panchaud 2022-12-08 05:37:27 UTC
Yes, this is my first patch as I only recently started to work at a library :)
What are the next steps to get the patch merged?
Comment 5 Katrin Fischer 2022-12-08 10:24:44 UTC
This is signed-off now, which means you passed the first round of testing. Now it' s waiting for the QA team to have a look.
Comment 6 Martin Renvoize 2022-12-08 11:01:50 UTC
Created attachment 144497 [details] [review]
Bug 32115: Add ID to check-out default help message dialog to allow customization

This adds a div with the id attribute selfcheckdefaulthelpmessage to
the first paragraph of the web based self check help page.

To test:
* Enable WebBasedSelfCheck
* Go to: /cgi-bin/koha/sco/sco-main.pl in the OPAC
* Log in and open help
* Verify by looking at the source code, that the first paragraph
  starting with "If this is your first time..." now has an id.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2022-12-08 11:03:54 UTC
Welcome aboard Mona, 

The patch is nice and simple and works well.. I'd love to see this block moved to a News block as that way it becomes easier for staff to change in the staff client and have translations working.. but that can be another bug.

No regressions found and the QA script is happy.

Passing QA.

Congratulations on your first patch, now it's over to the Release Manager to get it pushed :)
Comment 8 Tomás Cohen Arazi 2022-12-14 17:54:32 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 9 Martin Renvoize 2022-12-15 13:57:21 UTC
Strictly this one is an enhancement, but as it's so unobtrusive I'm opting to backport it.. welcome to the stables Mona :)
Comment 10 Martin Renvoize 2022-12-15 13:57:53 UTC
Nice work everyone!

Pushed to 22.11.x for the next release
Comment 11 Lucas Gass 2023-01-19 23:09:32 UTC
I tend to agree with Martin. Adding a class/ID is unobtrusive and helpful. Opting to backport, welcome to the oldstables Mona. :)
Comment 12 Lucas Gass 2023-01-19 23:09:58 UTC
Backported to 22.05.x for upcoming 22.05.09
Comment 13 Arthur Suzuki 2023-01-26 10:30:37 UTC
applied to 21.11.x for 21.11.16